// Definitions for Credit Account Browse Commarea object
//

/////////////////////////////////////////////////////////////////////////////
// Definitions for Standard header and BMS map areas used in COMMAREAs
#include "stdhead.h"
#include "dfhcga.h"
#include "dfhcgb.h"
#include "dfhcgc.h"
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Structure definition file for the CICS Browse COMMAREA
#include "brwscomm.h"
/////////////////////////////////////////////////////////////////////////////

// define a specific user commarea for our application,
//  subclassing the CclBuf class provided by the CICS clients
//class inqyComm : public CclBuf
class brwComm : public CObject
{
public:
	brwComm(); // standard constructor

	void Dump(CDumpContext& dc) const;

	// Instance variables to pass data in and out 
	// Data returned from a browse request
	CString br_account1;
	CString br_name1;
	CString br_amount1;
	CString br_account2;
	CString br_name2;
	CString br_amount2;
	CString br_account3;
	CString br_name3;
	CString br_amount3;
	CString br_account4;
	CString br_name4;
	CString br_amount4;
	// Application error messages - returned by all types of calls
	CString co_errormsg;
	CString co_errormsg2;
	CString co_errormsg3;

	// Method calls
	int executeStartBrowse(CString& acctno);
	int executeBrowseNext(const char brType);

private:
	// CICS COMMAREA
	BRWSCOMM brws;		

   // Internal subroutines
	int setMenuMapData(CString& acctno);
	int setBrowseMapData(const char brType);
	void getDataFromComm();
};