// credguicDlg.cpp : implementation file
//

#include "stdafx.h"
#include "credguic.h"
#include "credguicDlg.h"
#include "Browse.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCredguicDlg dialog

CCredguicDlg::CCredguicDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCredguicDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCredguicDlg)
	m_account = _T("");
	m_address = _T("");
	m_comments = _T("");
	m_date = _T("");
	m_errormsg = _T("");
	m_name = _T("");
	m_phone = _T("");
	m_amount = _T("");
	m_cicsuser = _T("");
	m_cicssyst = _T("");
	m_cics_client_name = _T("");
	m_cicserr = _T("");
	m_cics_abcode = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCredguicDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCredguicDlg)
	DDX_Text(pDX, IDC_ACCOUNT, m_account);
	DDV_MaxChars(pDX, m_account, 6);
	DDX_Text(pDX, IDC_ADDRESS, m_address);
	DDV_MaxChars(pDX, m_address, 20);
	DDX_Text(pDX, IDC_COMMENTS, m_comments);
	DDV_MaxChars(pDX, m_comments, 9);
	DDX_Text(pDX, IDC_DATE, m_date);
	DDV_MaxChars(pDX, m_date, 8);
	DDX_Text(pDX, IDC_ERRORMSG, m_errormsg);
	DDV_MaxChars(pDX, m_errormsg, 50);
	DDX_Text(pDX, IDC_NAME, m_name);
	DDV_MaxChars(pDX, m_name, 20);
	DDX_Text(pDX, IDC_PHONE, m_phone);
	DDV_MaxChars(pDX, m_phone, 8);
	DDX_Text(pDX, IDC_AMOUNT, m_amount);
	DDV_MaxChars(pDX, m_amount, 8);
	DDX_Text(pDX, IDC_CICSUSER, m_cicsuser);
	DDV_MaxChars(pDX, m_cicsuser, 8);
	DDX_Text(pDX, IDC_CICS_SYSTEM, m_cicssyst);
	DDV_MaxChars(pDX, m_cicssyst, 8);
	DDX_Text(pDX, IDC_CLNTNAME, m_cics_client_name);
	DDV_MaxChars(pDX, m_cics_client_name, 4);
	DDX_Text(pDX, IDC_CICSERR, m_cicserr);
	DDX_Text(pDX, IDC_ABCODE, m_cics_abcode);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCredguicDlg, CDialog)
	//{{AFX_MSG_MAP(CCredguicDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_INQY, OnInqy)
	ON_BN_CLICKED(IDC_ADD, OnAdd)
	ON_BN_CLICKED(IDC_CHANGE, OnChange)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_BN_CLICKED(IDC_CLEAR, OnClear)
	ON_BN_CLICKED(IDC_LOGON, OnReLogon)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCredguicDlg message handlers

BOOL CCredguicDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.
	
	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	int nResp = m_login.DoModal();

	if (nResp == IDOK)
	{
		// Load the CICS user id and System and client name into a display variables

		// Make sure our data variables are updated first
		UpdateData(TRUE);
    
		// Get a pointer to the main application object
		CCredguicApp* myApp = (CCredguicApp*) AfxGetApp();

		// Get the CICS user id, system name and client name
		// These are displayed on the main dialog
		// They can be changed by pressing the logon again button
		m_cicsuser         = myApp->cics_user;
		m_cicssyst         = myApp->cics_system;
		m_cics_client_name = myApp->cics_client_name;

		// Display the results
		UpdateData(FALSE);
	}
	else
	{
		// end this dialog immediately
		EndDialog(IDCANCEL);
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCredguicDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCredguicDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCredguicDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCredguicDlg::OnInqy() 
{
	// TODO: Add your control notification handler code here
	// The Inquire button has been pushed

	// Make sure our data variables are updated first
	UpdateData(TRUE);                                   

	// Reset all of the current variables
	resetVars();

	// Fill in the COMMAREA variables for an inquiry.  
	m_inqy.co_acctno = m_account;

   // Execute the CICS transaction
	// note that we will use the update code, so that we get back
	// a user comm area with the current record status. This allows
	// the user to change the data and then press the update button.
   int RC = m_inqy.executeInquiry();

	if (RC == 0)
	{
		// Get the results from the COMMAREA
		getDetails();

		// Enable the Change button
		// First, get a pointer to the control
		CButton *pUpdate = (CButton *) GetDlgItem(IDC_CHANGE);

		// Next, enable the button
		pUpdate->EnableWindow(TRUE);
	}	// endif

	// Display the results
	UpdateData(FALSE);
}

void CCredguicDlg::OnAdd() 
{
	// TODO: Add your control notification handler code here

	// Make sure our data variables are updated first
	UpdateData(TRUE);

	// Fill in the COMMAREA for a new add.

	// Fill in the COMMAREA variables for an add.  
   m_inqy.co_acctno = m_account;
   setDetails();
	
	// Execute the CICS Transaction
	//int RC = executeCICSTran();
   int RC = m_inqy.executeAdd();

	if (RC == 0)
	{
		// Get the results from the COMMAREA
      getDetails();
	}	// endif
    
	// Display the results
	UpdateData(FALSE);
}

void CCredguicDlg::OnChange() 
{
	// TODO: Add your control notification handler code here
	
	// Make sure our data variables are updated first
	UpdateData(TRUE);

	// Fill in the COMMAREA variables for a change.  
   m_inqy.co_acctno = m_account;
   setDetails();
	
	// Execute the CICS Transaction
	//int RC = executeCICSTran();
   int RC = m_inqy.executeChange();

	if (RC == 0)
	{
		// Get the results from the COMMAREA
		getDetails();

		// Disable the Change button
		// First, get a pointer to the control
		CButton *pUpdate = (CButton *) GetDlgItem(IDC_CHANGE);

		// Next, Disable the button
		pUpdate->EnableWindow(FALSE);
	}	// endif
    
	// Display the results
	UpdateData(FALSE);
}

void CCredguicDlg::OnBrowse() 
{
	// TODO: Add your control notification handler code here
	// Make sure our data variables are updated first
	UpdateData(TRUE);

	// Allocate a browse object
	CBrowse m_browse;

	// Set the browse starting location
	m_browse.init_acctno = m_account;

	// Execute the browse dialog
	m_browse.DoModal();
    

	// Disable the Change button
	// First, get a pointer to the control
	CButton *pUpdate = (CButton *) GetDlgItem(IDC_CHANGE);

	// Next, Disable the button
	pUpdate->EnableWindow(FALSE);

		// Display the results
	UpdateData(FALSE);
}

void CCredguicDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

void CCredguicDlg::OnCancel() 
{
	// TODO: Add extra cleanup here

	CDialog::OnCancel();
}

void CCredguicDlg::setDetails()

{
   m_inqy.co_name    = m_name;
   m_inqy.co_addr    = m_address;
   m_inqy.co_phone   = m_phone;
   m_inqy.co_date    = m_date;
   m_inqy.co_amount  = m_amount;
   m_inqy.co_comment = m_comments;
}

void CCredguicDlg::getDetails()

{
	// Variable to store a pointer to the main application
	CCredguicApp* myApp;

	// Get a pointer to the main application object
	myApp = (CCredguicApp*) AfxGetApp();

   m_name        = m_inqy.co_name;
   m_address     = m_inqy.co_addr;
   m_phone       = m_inqy.co_phone;
   m_date        = m_inqy.co_date;
   m_amount      = m_inqy.co_amount;
   m_comments    = m_inqy.co_comment;
   m_errormsg    = m_inqy.co_errormsg;
   m_cicserr     = myApp->cics_message;
   m_cics_abcode = myApp->cics_abcode;
}

void CCredguicDlg::resetVars()
{
// Sample debug statement to dump out current variable values
#ifdef _DEBUG
	CCredguicApp* myApp = (CCredguicApp*) AfxGetApp();
	afxDump << m_inqy;
#endif

	m_name.Empty();
	m_address.Empty();
	m_phone.Empty();
	m_date.Empty();
	m_amount.Empty();
	m_comments.Empty();
	m_errormsg.Empty();
}

void CCredguicDlg::OnClear() 
{
	// TODO: Add your control notification handler code here
	// Make sure our data variables are updated first
	UpdateData(TRUE);

	// Clear the display and update variables
	resetVars();
	m_account.Empty();

	// Disable the Change button
	// First, get a pointer to the control
	CButton *pUpdate = (CButton *) GetDlgItem(IDC_CHANGE);

	// Next, Disable the button
	pUpdate->EnableWindow(FALSE);

	// Display the results
	UpdateData(FALSE);
}

void CCredguicDlg::OnReLogon() 
{
	// TODO: Add your control notification handler code here
	// Variable to store a pointer to the main application
	CCredguicApp* myApp;

	int nResp = m_login.DoModal();

	// Load the CICS USER ID and System into a display variable
	if (nResp == IDOK)
	{
		// Get a pointer to the main application object
		myApp = (CCredguicApp*) AfxGetApp();
		// Make sure our data variables are updated first
		UpdateData(TRUE);

		m_cicsuser = myApp->cics_user;
		m_cicssyst = myApp->cics_system;
		m_cics_client_name = myApp->cics_client_name;
    
		// Disable the Change button
		// First, get a pointer to the control
		CButton *pUpdate = (CButton *) GetDlgItem(IDC_CHANGE);

		// Next, Disable the button
		pUpdate->EnableWindow(FALSE);

		// Display the results
		UpdateData(FALSE);
	}
}

